##### Coverage Report - org.owasp.dependencycheck.jaxb.pom.generated.Repository

Classes in this File | Line Coverage | Branch Coverage | Complexity
Repository |
5% | 1/19
N/A | N/A
| 1.0;1

1 |  |
     //
2 |  |
     // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
3 |  |
     // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
4 |  |
     // Any modifications to this file will be lost upon recompilation of the source schema.
5 |  |
     // Generated on: 2012.11.09 at 12:33:57 PM EST
6 |  |
     //
7 |  |
8 |  |
9 |  |
     package org.owasp.dependencycheck.jaxb.pom.generated;
10 |  |
11 |  |
     import javax.annotation.Generated;
12 |  |
     import javax.xml.bind.annotation.XmlAccessType;
13 |  |
     import javax.xml.bind.annotation.XmlAccessorType;
14 |  |
     import javax.xml.bind.annotation.XmlElement;
15 |  |
     import javax.xml.bind.annotation.XmlType;
16 |  |
17 |  |
18 |  |
     /**
19 |  |
      *
20 |  |
      *         A repository contains the information needed for establishing connections with remote repository.
21 |  |
      *
22 |  |
      *
23 |  |
      * <p>Java class for Repository complex type.
24 |  |
      *
25 |  |
      * <p>The following schema fragment specifies the expected content contained within this class.
26 |  |
      *
27 |  |
      * <pre>
28 |  |
      * &lt;complexType name="Repository">
29 |  |
      *   &lt;complexContent>
30 |  |
      *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
31 |  |
      *       &lt;all>
32 |  |
      *         &lt;element name="releases" type="{http://maven.apache.org/POM/4.0.0}RepositoryPolicy" minOccurs="0"/>
33 |  |
      *         &lt;element name="snapshots" type="{http://maven.apache.org/POM/4.0.0}RepositoryPolicy" minOccurs="0"/>
34 |  |
      *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
35 |  |
      *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
36 |  |
      *         &lt;element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
37 |  |
      *         &lt;element name="layout" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
38 |  |
      *       &lt;/all>
39 |  |
      *     &lt;/restriction>
40 |  |
      *   &lt;/complexContent>
41 |  |
      * &lt;/complexType>
42 |  |
      * </pre>
43 |  |
      *
44 |  |
      *
45 |  |
      */
46 |  |
     @XmlAccessorType(XmlAccessType.FIELD)
47 |  |
     @XmlType(name = "Repository", propOrder = {
48 |  |
49 |  |
     })
50 |  |
     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
51 | 3 |
     public class Repository {
52 |  |
53 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
54 |  |
         protected RepositoryPolicy releases;
55 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
56 |  |
         protected RepositoryPolicy snapshots;
57 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
58 |  |
         protected String id;
59 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
60 |  |
         protected String name;
61 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
62 |  |
         protected String url;
63 |  |
         @XmlElement(defaultValue = "default")
64 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
65 |  |
         protected String layout;
66 |  |
67 |  |
         /**
68 |  |
          * Gets the value of the releases property.
69 |  |
          *
70 |  |
          * @return
71 |  |
          *     possible object is
72 |  |
          *     {@link RepositoryPolicy }
73 |  |
          *
74 |  |
          */
75 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
76 |  |
         public RepositoryPolicy getReleases() {
77 | 0 |
             return releases;
78 |  |
         }
79 |  |
80 |  |
         /**
81 |  |
          * Sets the value of the releases property.
82 |  |
          *
83 |  |
          * @param value
84 |  |
          *     allowed object is
85 |  |
          *     {@link RepositoryPolicy }
86 |  |
          *
87 |  |
          */
88 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
89 |  |
         public void setReleases(RepositoryPolicy value) {
90 | 0 |
             this.releases = value;
91 | 0 |
         }
92 |  |
93 |  |
         /**
94 |  |
          * Gets the value of the snapshots property.
95 |  |
          *
96 |  |
          * @return
97 |  |
          *     possible object is
98 |  |
          *     {@link RepositoryPolicy }
99 |  |
          *
100 |  |
          */
101 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
102 |  |
         public RepositoryPolicy getSnapshots() {
103 | 0 |
             return snapshots;
104 |  |
         }
105 |  |
106 |  |
         /**
107 |  |
          * Sets the value of the snapshots property.
108 |  |
          *
109 |  |
          * @param value
110 |  |
          *     allowed object is
111 |  |
          *     {@link RepositoryPolicy }
112 |  |
          *
113 |  |
          */
114 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
115 |  |
         public void setSnapshots(RepositoryPolicy value) {
116 | 0 |
             this.snapshots = value;
117 | 0 |
         }
118 |  |
119 |  |
         /**
120 |  |
          * Gets the value of the id property.
121 |  |
          *
122 |  |
          * @return
123 |  |
          *     possible object is
124 |  |
          *     {@link String }
125 |  |
          *
126 |  |
          */
127 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
128 |  |
         public String getId() {
129 | 0 |
             return id;
130 |  |
         }
131 |  |
132 |  |
         /**
133 |  |
          * Sets the value of the id property.
134 |  |
          *
135 |  |
          * @param value
136 |  |
          *     allowed object is
137 |  |
          *     {@link String }
138 |  |
          *
139 |  |
          */
140 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
141 |  |
         public void setId(String value) {
142 | 0 |
             this.id = value;
143 | 0 |
         }
144 |  |
145 |  |
         /**
146 |  |
          * Gets the value of the name property.
147 |  |
          *
148 |  |
          * @return
149 |  |
          *     possible object is
150 |  |
          *     {@link String }
151 |  |
          *
152 |  |
          */
153 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
154 |  |
         public String getName() {
155 | 0 |
             return name;
156 |  |
         }
157 |  |
158 |  |
         /**
159 |  |
          * Sets the value of the name property.
160 |  |
          *
161 |  |
          * @param value
162 |  |
          *     allowed object is
163 |  |
          *     {@link String }
164 |  |
          *
165 |  |
          */
166 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
167 |  |
         public void setName(String value) {
168 | 0 |
             this.name = value;
169 | 0 |
         }
170 |  |
171 |  |
         /**
172 |  |
          * Gets the value of the url property.
173 |  |
          *
174 |  |
          * @return
175 |  |
          *     possible object is
176 |  |
          *     {@link String }
177 |  |
          *
178 |  |
          */
179 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
180 |  |
         public String getUrl() {
181 | 0 |
             return url;
182 |  |
         }
183 |  |
184 |  |
         /**
185 |  |
          * Sets the value of the url property.
186 |  |
          *
187 |  |
          * @param value
188 |  |
          *     allowed object is
189 |  |
          *     {@link String }
190 |  |
          *
191 |  |
          */
192 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
193 |  |
         public void setUrl(String value) {
194 | 0 |
             this.url = value;
195 | 0 |
         }
196 |  |
197 |  |
         /**
198 |  |
          * Gets the value of the layout property.
199 |  |
          *
200 |  |
          * @return
201 |  |
          *     possible object is
202 |  |
          *     {@link String }
203 |  |
          *
204 |  |
          */
205 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
206 |  |
         public String getLayout() {
207 | 0 |
             return layout;
208 |  |
         }
209 |  |
210 |  |
         /**
211 |  |
          * Sets the value of the layout property.
212 |  |
          *
213 |  |
          * @param value
214 |  |
          *     allowed object is
215 |  |
          *     {@link String }
216 |  |
          *
217 |  |
          */
218 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
219 |  |
         public void setLayout(String value) {
220 | 0 |
             this.layout = value;
221 | 0 |
         }
222 |  |
223 |  |
     }